> For the complete documentation index, see [llms.txt](https://docs.bellmfb.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bellmfb.com/references/bank-transfer/transfer.md).

# Transfer

## Create a new user

<mark style="color:green;">`POST`</mark> `/v1/transfer`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Body**

<table><thead><tr><th width="335">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>beneficiaryBankCode</code></td><td>string</td><td>Receivers  Bank code. Test BankCode: 010</td></tr><tr><td><code>beneficiaryAccountNumber</code></td><td>string</td><td>Receivers Account number. Test Account: 1001011000</td></tr><tr><td><code>narration</code></td><td>string</td><td>Transfer Description</td></tr><tr><td><code>amount</code></td><td>number</td><td>Amount to be sent. NOTE: decimal should not exceed 2 digits. i.e 230.00, 100.00</td></tr><tr><td><code>reference</code></td><td>string</td><td>Transaction reference (optional) Which will contain first word of your business name as a prefix I.E "Garo Pay" the reference should be GARO-rand123.  Auto create if not provided.</td></tr><tr><td>senderName</td><td>string</td><td>Sender Name (Optional). This is what will be shown as sender after recieving transfer. If not set, business will be set as default</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Your transfer has been processed, Test Bank will receive your transfer in less than 5 minutes",
    "data": {
        "netAmount": 110,
        "details": {},
        "destinationAccountNumber": "0123456789",
        "sourceAccountName": "Garo Enterprise",
        "sourceAccountNumber": "0001479098",
        "sourceBankCode": "000023",
        "sourceBankName": "BellMonie",
        "amount": 100,
        "charge": 10,
        "completedAt": 1717094000705,
        "sessionId": "999999231115104838645541436147",
        "type": "debit",
        "description": "Transfer to Test Account",
        "transactionTypeName": "bank_transfer",
        "status": "pending",
        "reference": "123XY3Z900000000",
        "destinationAccountName": "Test Account",
        "destinationBankCode": "100004",
        "destinationBankName": "Test Bank"
    },
    "beneficiary": {}
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "success": false,
  "message": "Request Unsuccessful",
  "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bellmfb.com/references/bank-transfer/transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
